org.apache.sling.hapi.client.impl

## Class HtmlClientServiceImpl

- java.lang.Object
- - org.apache.sling.hapi.client.impl.HtmlClientServiceImpl

All Implemented Interfaces:
  HtmlClientService

    @Service(value=HtmlClientService.class)
    public class HtmlClientServiceImpl
    extends Object
    implements HtmlClientService

### Constructor Summary

Constructors
Constructor and Description
`HtmlClientServiceImpl()`

### Method Summary

Methods
`HtmlClient` `getClient(org.apache.http.impl.client.CloseableHttpClient client, String baseUrl)` Get the HtmlClient
`HtmlClient` `getClient(String baseUrl)` `HtmlClient`
`HtmlClient` `getClient(String baseUrl, String user, String password)` `HtmlClient`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HtmlClientServiceImpl

    public HtmlClientServiceImpl()

### Method Detail

#### getClient

    public HtmlClient getClient(org.apache.http.impl.client.CloseableHttpClient client,
                       String baseUrl)

Get the HtmlClient

Specified by:
  `getClient` in interface `HtmlClientService`
Parameters:
  `client` - The inner http client
  `baseUrl` - the base URL as String
Returns:
  the HtmlClient or null if there was an error

#### getClient

    public HtmlClient getClient(String baseUrl)

`HtmlClient`

Specified by:
  `getClient` in interface `HtmlClientService`
Parameters:
  `baseUrl` - the base URL as String
Returns:
  the HtmlClient or null if there was an error

#### getClient

    public HtmlClient getClient(String baseUrl,
                       String user,
                       String password)

`HtmlClient`

Specified by:
  `getClient` in interface `HtmlClientService`
Parameters:
  `baseUrl` - the base URL as String
  `user` - the username to be used for basic auth
  `password` - the password to be used for basic auth
Returns:
  the HtmlClient or null if there was an error